.imagen-modal {
    cursor: pointer;
}

.mb-lg {
    margin-bottom: 6rem;
}
.mt-lg {
    margin-top: 6rem;
}

.sticky {
    position: sticky;
    top: 10px;
}

.caja-menu {
    box-shadow: 0px 0px 4px 0 #c1c1c1;
    border-radius: 8px;
    padding: 32px 24px;
    overflow: hidden;
    &::before {
        content: "";
        height: 12px;
        width: 100%;
        position: absolute;
        left: 0;
        bottom: 0;
        background-color: #338d9f;
    }
}

.menu-secciones {
    li {
        a {
            color: #000;
            display: block;
            text-decoration: none;
            padding: 5px 15px;
            &:hover {
                background-color: #f1f1f1;
                border-radius: 5px;
                /* color: #fff; */
            }
        }
        &:not(:last-of-type) {
            margin-bottom: 5px;
        }
    }
}

.liston-derecha {
    display: grid;
    grid-template-columns: auto 1fr;
    place-items: center;
    gap: 20px;
    &::after {
        content: "";
        height: 2px;
        width: 100%;
        background-color: #24338d40;
    }
}
.liston-centrado {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    place-items: center;
    gap: 20px;
    margin-inline: 40px;
    &::before,
    &::after {
        content: "";
        height: 2px;
        width: 100%;
        background-color: #4b4ba1;
    }
}

.banner-a {
    width: 100%;
    aspect-ratio: 16/6;
    object-fit: cover;
    transition: all 120ms ease-in-out;
    &.imagen-modal:hover {
        filter: brightness(0.8);
    }
}

.banner-b {
    width: 50%;
    align-self: center;
    aspect-ratio: 16/8;
    object-fit: cover;
}

.card-a {
    display: inline-block;
    width: 20rem;
    text-decoration: none;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0px 0px 2px 0px #0004;
    margin-inline: 20px;
    img {
        background-color: #f1f1f1;
        width: 100%;
        object-fit: contain;
        &.cover {
            object-fit: cover;
        }
        aspect-ratio: 4/3;
    }

    .datos {
        padding: 15px 20px;
        color: #000;
        .titulo {
            font-size: 20px;
            margin-bottom: 16px;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }
        .descripcion {
            font-size: 14px;
            color: #333;
            font-weight: 400;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }
        .mas {
            margin-top: 28px;
            margin-right: auto;
            font-size: 12px;
            color: #333;
            font-weight: 400;
            display: inline-block;
            border: 1px solid #666;
            padding: 8px 16px;
            border-radius: 32px;
            min-width: 50%;
            position: relative;
            &::after {
                position: absolute;
                right: 0;
                font-family: "remixicon";
                content: "\ea6c";
                margin-right: 24px;
            }
            transition: all 120ms ease-in-out;
        }
        transition: all 120ms ease-in-out;
    }

    &:hover {
        cursor: pointer;
        box-shadow: 0px 0px 8px 2px #1455aad8;

        .mas {
            min-width: 100%;
            color: #fff;
            background-color: #0b3177;
        }
    }
}

.card-b {
    margin-inline: 20px;
    display: grid;
    width: 40%;
    height: 8rem;
    text-decoration: none;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0px 0px 2px 0px #0004;
    grid-template-columns: 2fr 4fr;
    img {
        background-color: #f1f1f1;
        width: 100%;
        height: 8rem;
        object-fit: cover;
    }
    transition: all 120ms ease-in-out;
    .datos {
        padding: 15px 20px;
        color: #000;
        text-align: center;
        transition: all 120ms ease-in-out;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        display: flex;
        align-items: center;
        .titulo {
            margin: 0;
            font-size: 18px;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }
    }
    &:hover {
        grid-template-columns: 1fr 4fr;
        box-shadow:
            0 0 0 4px #fff,
            0px 0px 0px 6px rgb(20, 94, 197);
        .datos {
            background-color: #f1f1f1;
        }
    }
}

.card-c {
    margin-inline: 20px;
    margin-bottom: 20px;
    display: inline-block;
    width: 20rem;
    text-decoration: none;
    overflow: hidden;
    box-shadow: 0px 0px 2px 0px #0004;
    display: grid;
    grid-template-rows: 1fr auto;
    transition: all 120ms ease-in-out;
    /* filter: grayscale(1); */
    background: #fff;
    position: relative;
    img {
        background-color: #e9f0e6;
        width: 100%;
        aspect-ratio: 2/1;
        object-fit: contain;
        &.cover {
            object-fit: cover;
        }
    }

    .datos {
        padding: 20px 20px;
        color: #000;
        transition: all 120ms ease-in-out;
        display: flex;
        align-items: center;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        .titulo {
            font-size: 16px;
            margin-bottom: 0;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }
    }
    &:hover {
        translate: 0 -5px;
        filter: grayscale(0);
        /* scale: 1.05; */
        z-index: 2;
        box-shadow: 0px 0px 6px 0px #0b9b2d !important;
    }
}

.footer-a {
    width: 100%;
    background-color: #f6f6f6;
    padding: 40px;
    .principal {
        display: grid;
        grid-template-columns: 2fr 3fr;
        gap: 20px;
        .logo {
            img {
                /* aspect-ratio: 4 / 1; */
                width: 40%;
                object-fit: contain;
            }
            .direccion {
                margin: 20px 0;
                * {
                    color: #666 !important;
                    line-height: 20px !important;
                    font-size: 14px !important;
                }
            }
        }
        .vinculos {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr;
            direction: rtl;
            .vinculo {
                .titulo {
                    font-weight: 600;
                }
                ul {
                    margin: 0;
                    padding: 0;
                    list-style: none;
                    li {
                        a {
                            text-decoration: none;
                            color: #666;
                            font-size: 14px;
                            &:hover {
                                color: #1f66ff;
                                font-weight: 600;
                            }
                        }
                    }
                }
            }
        }
    }
    .extra {
        border-top: 1px solid #ddd;
        padding-top: 20px;
        font-size: 12px;
        color: #666;
    }
}
